#define SystemSevenOrLater 1

#include <Types.r>
#include <BalloonTypes.r>
#include "GetFolder.r.h"

/* 
**	This is the same as 'DLOG' -6042 except that the dialog
**	is bigger vertically by 83 pixels to make room for
**	additional items.
*/
resource 'DLOG' (kGetFolderID, purgeable) {
	{0, 0, 249, 344},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	kGetFolderID,
	"",
	noAutoCenter
};

/*
**	This is the same as 'dctb' -6042.
*/
data 'dctb' (kGetFolderID, purgeable) {
	$"0000 0000 0001 FFFF FFFF"
};

/*
**	This is the same as 'DITL' -6042 only all of the standard
**	items (1 through 9) have been moved down by 20 pixels
**	and three new items (10, 11, and 12) have been added.
*/
resource 'DITL' (kGetFolderID, purgeable) {
	{	/* array DITLarray: 12 elements */
		/* [1] */
		{155, 252, 175, 332},
		Button {
			enabled,
			"Open"
		},
		/* [2] */
		{124, 252, 144, 332},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{0, 0, 0, 0},
		HelpItem {
			disabled,
			HMScanhdlg {
				kGetFileHelpID	/* Use standard help for now even though it often doesn't make sense. */
			}
		},
		/* [4] */
		{28, 235, 44, 337},
		UserItem {
			enabled
		},
		/* [5] */
		{52, 252, 72, 332},
		Button {
			enabled,
			"Eject"
		},
		/* [6] */
		{80, 252, 100, 332},
		Button {
			enabled,
			"Desktop"
		},
		/* [7] */
		{49, 12, 179, 230},
		UserItem {
			enabled
		},
		/* [8] */
		{26, 12, 45, 230},
		UserItem {
			enabled
		},
		/* [9] */
		{111, 251, 112, 333},
		Picture {
			disabled,
			11
		},
		/* [10] Select folder button */
		{186, 12, 206, 230},
		Button {
			enabled,
			""
		},
		/* [11] Select desktop button */
		{217, 12, 237, 230},
		Button {
			enabled,
			""
		},
		/* [12] Dialog prompt */
		{6, 12, 22, 230},
		StaticText {
			disabled,
			"Select a Folder:"
		}
	}
};

/*
**	International friendly strings for modifying button
**	titles on the fly.
*/
resource 'STR#' (kGetFolderID, purgeable) {
	{	/* array StringArray: 5 elements */
		/* [1] Text before directory name in select folder button */
		"Select ",
		/* [2] Text after directory name in select folder button */
		"",
		/* [3] Text before directory name in select desktop button */
		"Select Desktop on ",
		/* [4] Text after directory name in select desktop button */
		"",
		/* [5] The word 'Desktop' for select folder button */
		"Desktop"
	}
};
